#### D.13.6.38 initial

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  initial(f,w); f poly, w intvec or bigintmat
  initial(I,w); I ideal, w intvec or bigintmat

Assume:
  I reduced Groebner basis,
  w in the maximal Groebner cone of I with respect to the current ordering

Return:
  poly or ideal, the initial form of f or the initial ideal of I with respect to w

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = cyclic(3);
    intvec w = 1,1,1;
    option(redSB);
    ideal stdI = std(I);
    stdI;
    ideal inI = initial(stdI,w);
    inI;

User manual for Singular version 4.4.1, 2025, generated by texi2html.